Subject: Re: bug#70984: 30.0.50; Improved support for entering quotation marks, Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Robert Pluim <[email-masked]>
Date: Fri, 17 May 2024 15:27:15 +0200

>>>>> On Fri, 17 May 2024 16:05:18 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Fri, 17 May 2024 14:15:31 +0200
    >> 
    >> >>>>> On Fri, 17 May 2024 13:44:12 +0300, Eli Zaretskii <[email-masked]> said:
    >> 
    >> >> From: Robert Pluim <[email-masked]>
    >> >> Cc: Stephen Berman <[email-masked]>,  [email-masked]
    >> >> Date: Fri, 17 May 2024 09:45:14 +0200
    >> >> 
    >> >> Iʼm assuming this means youʼre both ok with the key sequences I chose.
    >> 
    Eli> I don't have any objections, but I'm not going to be a frequent user
    Eli> of this, so I guess we'll let the users judge that.
    >> 
    >> Apropos, what about the following for electric-quote-chars? I think
    >> Iʼve covered most of the common combinations:

    Eli> What's the purpose of this?

electric-quote-chars is convenient for entering single and double
Unicode quotes, and can be configured according to everyoneʼs own
preference, but you have to do it character by character. Adding these
options just provides pre-configured correct settings for a number of
styles around the world without the user having to figure out for
themselves how to customize it to use guillemets (or whatever their
preference is).

Robert
--